Page MenuHomePhabricator

ApiErrorException in ApiEdit.CheckForErrors (The login module requires a POST request)
Closed, ResolvedPublic

Description

description: API returned the following error: 'The login module requires a POST request'

workaround:

Exception:ApiErrorException
Message:API returned the following error: 'The login module requires a POST request'
Call stack:<pre> at WikiFunctions.API.ApiEdit.CheckForErrors(String xml, String action) in c:\Users\Mohammed\Downloads\AWB\WikiFunctions\API\ApiEdit.cs:line 1419 at WikiFunctions.API.ApiEdit.Login(String username, String password, String domain) in c:\Users\Mohammed\Downloads\AWB\WikiFunctions\API\ApiEdit.cs:line 621 at WikiFunctions.Profiles.AWBProfilesForm.PerformLogin(String username, String password) in c:\Users\Mohammed\Downloads\AWB\WikiFunctions\Profiles\AWBProfilesForm.cs:line 256</pre>

OS: Microsoft Windows NT 6.2.9200.0
version: AutoWikiBrowser (5.8.0.1), WikiFunctions (5.8.0.1), revision 11716 (2015-10-24 11:23:53)
net: 2.0.50727.6421
duplicate:
site: https://be-x-old.wikipedia.org

Event Timeline

Meno25 created this task.Oct 26 2015, 2:17 PM
Meno25 updated the task description. (Show Details)
Meno25 raised the priority of this task from to Needs Triage.
Meno25 added a project: AutoWikiBrowser.
Meno25 added a subscriber: Meno25.
Restricted Application added subscribers: Josve05a, Aklapper. · View Herald TranscriptOct 26 2015, 2:17 PM

Steps to reproduce:
1-In Options -> Preferences -> Site choose be-x-old
2-Try to login using File -> Log in/Profiles
3-AWB gives this error

Initially reported here by Liashko

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 1 2016, 9:32 PM
Rjwilmsi renamed this task from ApiErrorException in ApiEdit.CheckForErrors to ApiErrorException in ApiEdit.CheckForErrors (The login module requires a POST request).Feb 20 2016, 9:10 AM
Rjwilmsi closed this task as Resolved.Feb 23 2016, 9:13 AM
Rjwilmsi added a subscriber: Rjwilmsi.

rev 11941 handle exceptional case that be-x-old uses different site name to language code

be-x-old will now be listed in AWB as be-tarask and I can successfully log in to it.

As AWB caches the sites list, to pick up this change you need to remove the cache file named ObjectCache.xml. It is located in %LOCALAPPDATA%\AutoWikiBrowser (usually C:\Users\<username>\AppData\Local\AutoWikiBrowser on Windows 7). Or you wait up to a week for AWB to decide that the cache is old and redownload it itself. If you still see be-x-old in the AWB site list then you've not got the new cache.